Đến nội dung


Hình ảnh
- - - - -

Hỏi về toạ độ điểm chèn block


  • Please log in to reply
5 replies to this topic

#1 txchuong

txchuong

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 03 October 2013 - 04:59 PM

Các bác cho em hỏi về toạ độ điểm chèn của block tý.

Em có 1 số bản vẽ mà khi em cần xác định toạ độ điểm chèn của block bằng hàm của lisp lại khác với khi list bằng lệnh li của cad hoặc ID tại vị trí điểm chèn đó.

Em có dùng sai hàm của lisp không, các bác chỉ giúp em cách để lấy được toạ độ chính xác như trên bản vẽ với.

Trong bản vẽ gủi kèm em ghi toạ độ cả 3 cách, các bác xem và giải thích giúp em với.

http://www.cadviet.c...123735_aaaa.dwgCảm ơn các bác.

 BLOCK REFERENCE  Layer: "0"
                            Space: Model space
                   Color: BYLAYER    Linetype: "CONTINUOUS"
                   Handle = 59
       Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
 
 Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)
 
 Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)
 
Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
 
Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)
       Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)
       Block Name: "DAU_CO"
                at point, X=   212.58  Y=   577.09  Z=     0.00
   X scale factor:      0.20
   Y scale factor:      0.20
   rotation angle: 0.000000
   Z scale factor:      0.20
  Scale uniformly: No
  Allow exploding: Yes
 
Command: id Specify point: ins
of  X = 212.58     Y = 577.09     Z = 0.00
 
Command: (assoc 10 (entget (car (entsel))))
 
Select object: (10 1781.84 573.715 0.0)

  • 0

#2 ketxu

ketxu

    Copier - Paster - Editor

  • Moderator
  • PipPipPipPipPipPipPip
  • 5682 Bài viết
Điểm đánh giá: 2605 (tuyệt vời)

Đã gửi 03 October 2013 - 10:16 PM

Chưa down về được nhưng mình đoán trục trặc là do UCS của bạn.


  • 0

Thành viên nhóm CadMagic.
Mời bạn ghé thăm facebook nhóm - Page viết lisp theo yêu cầu  :
CAD MAGIC


#3 txchuong

txchuong

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 04 October 2013 - 07:52 AM

Không phải UCS đâu bác, lúc đầu em cũng nghĩ vậy và đã chọn World rồi nhưng vẫn thế. 

http://www.mediafire...mpydjeupuhpbl1u link down media bác thử down về xem hộ em tý.


  • 0

#4 Doan Van Ha

Doan Van Ha

    biết lệnh adcenter

  • CADViet Team
  • PipPipPipPipPipPipPip
  • 5449 Bài viết
Điểm đánh giá: 2625 (tuyệt vời)

Đã gửi 04 October 2013 - 10:30 AM

Không phải UCS đâu bác, lúc đầu em cũng nghĩ vậy và đã chọn World rồi nhưng vẫn thế. 

http://www.mediafire...mpydjeupuhpbl1u link down media bác thử down về xem hộ em tý.

UCS về W thì cả 3 cái giống nhau. Ketxu đã nói đúng.


  • 0

* Chỉ nên yêu cầu Lisp khi bạn làm việc đó mất cả ngày nhưng họ chỉ viết 1 giờ. Đừng nêu yêu cầu Lisp khi bạn chỉ làm 1 giờ nhưng bắt họ phải mất cả ngày.

* Nhờ viết lisp cũng như đi khám bệnh. Chỉ gởi căn cước và than sắp chết thì không bác sỹ nào cứu sống được.


#5 phamthanhbinh

phamthanhbinh

    biết lệnh adcenter

  • Moderator
  • PipPipPipPipPipPipPip
  • 6009 Bài viết
Điểm đánh giá: 3113 (tuyệt vời)

Đã gửi 04 October 2013 - 11:22 AM

Không phải UCS đâu bác, lúc đầu em cũng nghĩ vậy và đã chọn World rồi nhưng vẫn thế. 

http://www.mediafire...mpydjeupuhpbl1u link down media bác thử down về xem hộ em tý.

Hề hề hề,

Bạn cần trả ucs về W trước khi bạn gọi lệnh li hay id thì nó mới trả về tọa độ trong hệ W. Bởi li và id luôn trả về tọa độ trong hệ ucs hiện hành của đối tượng

Còn (cdr (assoc 10 (entget blockename))) luôn trả về tọa độ trong hệ W của điểm chèn block bạn ạ.


  • 0
Chúc các quý Anh trên diễn đàn luôn khỏe, đẻ thêm được nhiều thứ để mót.

#6 txchuong

txchuong

    biết vẽ circle

  • Members
  • PipPip
  • 39 Bài viết
Điểm đánh giá: 3 (bình thường)

Đã gửi 05 October 2013 - 01:41 PM

Cảm ơn các bác nhiều.


  • 0